import http from './interface'

import Config from '../Config.js'

// console.log(Config.baseUrl);

http.config.baseUrl = Config.baseUrl
/**
 * 需要登录的请求方法
 */
export const to_http = (url, data, method, loadMsg = '加载中') => {
	uni.showLoading({
		title: loadMsg
	})
	// 获取token
	let token = uni.getStorageSync('token')
	http.interceptor.request = (config) => {
		config.method = method || 'GET'
		config.header = {
			token: token,
			'Content-Type': "application/json",
			'Access-Control-Allow-Origin': '*'
		}
		if (url != '/sys/zhkjuseragreement/latestAgreement' && url != '/mobileForgotPasswordBySms' && url !=
			'/mobileCaptcha' && url != '/mobileLoginBySms' && url !=
			'/mobileLogin' && !token) {
			uni.hideLoading()
			return uni.navigateTo({
				url: '/pages/login/login'
			})
		}
	}
	//设置请求结束后拦截器
	http.interceptor.response = (response) => {
		// console.log(response);
		uni.hideLoading()
		if (response.data === undefined || response.data.code === undefined) {
			return uni.showToast({
				title: "网络异常，请检查网络",
				icon: "none",
				duration: 1000
			})
		}
		//判断返回状态 执行相应操作
		if (response.data.code != 0) {
			uni.showToast({
				title: response.data.msg,
				icon: "none",
				duration: 1000
			})
			if (response.data.msg == '登录过期，请重新登录') {
				uni.navigateTo({
					url: '/pages/login/login'
				})
			}
			if (response.data.msg == '未授权') {
				uni.navigateTo({
					url: '/pages/login/login'
				})
			}
			if (response.data.code == '401') {
				uni.navigateTo({
					url: '/pages/login/login'
				})
			}
		}
		return response;
	}
	return http.request({
		url: url,
		data: data,
	})
}

export default {
	to_http
}